Autor Tema: Error en Actualización 3.6.0 al convertir BD Arai.  (Leído 101 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Rodrigo García Aponte

  • Full Member
  • ***
  • Mensajes: 128
    • Ver Perfil
    • Email
  • Institución: Universidad Nacional de Tucumán
  • Nombre y apellido: Rodrigo García Aponte
  • Sistema: SIU-Pilaga, SIU-Wichi, SIU-Diaguita, SIU-Kolla, SIU-Arai.
  • Teléfono laboral: 03814247752 int 7143
  • Utilizo algun sistéma del SIU: Sí
Error en Actualización 3.6.0 al convertir BD Arai.
« : septiembre 08, 2020, 11:49:59 am »
Buenos días.
Nos encontramos con el problema de que al Actualizar la versión de Pilaga a 3.6.0, al momento de convertir la BD Arai devuelve un cartel rojo que dice que se produjo un error al convertir dicha BD.
Estamos en un server testing, sacando los parámetros de Arai, se actualiza correctamente Pilaga.
Adjunto el Instalador.log.
Saludos.

Rodrigo.
Rodrigo García Aponte

lramirez

  • Full Member
  • ***
  • Mensajes: 222
    • Ver Perfil
    • Email
  • Institución: SIU
  • Nombre y apellido: Leonardo Ramirez
  • Sistema: Integración Funcional - SIU Calchaqui - Arai Catálogos
  • Teléfono laboral: +54 (011) 5217-3101 int. 230
Re:Error en Actualización 3.6.0 al convertir BD Arai.
« Respuesta #1 : septiembre 10, 2020, 01:35:56 pm »
Hola Rodrigo,

Como estás?
Que versión de postgres tiene el motor donde está la base de Arai Proveedores?
Si es inferior a 9.5 el problema se debe a la versión, por lo que veo el error del log hace referencia a

Código: [Seleccionar]
SQLSTATE[42601]: Syntax error: 7 ERROR:  syntax error at or near "NOT" LINE 1: CREATE SEQUENCE IF NOT EXISTS sincronizador.notificacion_det...

Y como podés ver esa funcionalidad está soportada a partir de Postgres 9.5

https://www.postgresql.org/docs/9.4/sql-createsequence.html
https://www.postgresql.org/docs/9.5/sql-createsequence.html

Saludos